Skip to main content
POST
/
api
/
external
/
companies
/
{companyId}
/
coverage-types
/
{coverageTypeId}
/
fields
curl --request POST \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/coverage-types/{coverageTypeId}/fields \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fields": [
    "reportDate",
    "eventDescription",
    "settlementDemand",
    "indemnityPaid"
  ]
}
'
{
  "coverageTypeId": "G5_fine_arts",
  "coverageTypeName": "Fine Arts",
  "fieldsSet": 4
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

coverageTypeId
string
required

Coverage type identifier (e.g., "general_liability")

Body

application/json
fields
string[]
required

List of field keys to assign to the coverage type. These must be valid field keys (e.g., "reportDate", "eventDescription"). Replaces all existing fields — pass an empty array to clear all fields.

Response

Fields successfully set

coverageTypeId
string

The coverage type identifier

coverageTypeName
string

The display name of the coverage type

fieldsSet
integer

The number of fields that were set on the coverage type